package cn.stylefeng.team.meta.sdk.exception;

import cn.stylefeng.roses.kernel.rule.constants.RuleConstants;
import cn.stylefeng.roses.kernel.rule.exception.AbstractExceptionEnum;
import lombok.Getter;

@Getter
public enum SqlParseExceptionEnum implements AbstractExceptionEnum {

    SQL_IS_EMPTY(RuleConstants.USER_OPERATION_ERROR_TYPE_CODE + "10001", "SQL为空，无法进行解析"),

    DB_NOT_SUPPORT(RuleConstants.USER_OPERATION_ERROR_TYPE_CODE + "10002", "不支持的数据库类型，无法进行导入"),

    PARSE_SQL_ERROR(RuleConstants.USER_OPERATION_ERROR_TYPE_CODE + "10003", "无法解析SQL，请检查SQL语法");

    private final String errorCode;

    private final String userTip;

    SqlParseExceptionEnum(String errorCode, String userTip) {
        this.errorCode = errorCode;
        this.userTip = userTip;
    }

}